#!/usr/bin/env python2

def str2bool(v):
    if isinstance(v, bool):
       return v
    if v.lower() in ('yes', 'true', 't', 'y', '1'):
        return True
    elif v.lower() in ('no', 'false', 'f', 'n', '0'):
        return False
    else:
        raise argparse.ArgumentTypeError('Boolean value expected.')

import argparse

parser = argparse.ArgumentParser()
parser.add_argument("--input", help="The input FASTA file", required=True)
parser.add_argument("--log", help="True if you want log messages, false otherwise", type=str2bool)
parser.add_argument("--output", help="The output complement FASTA file", required=True)

args = parser.parse_args()

in_file = open(args.input, "r")
if args.log == True:
	print("The input file was successfully opened")

complement_sequence = ""
line = in_file.readline()
while line:
    for symbol in line: 
        if symbol == "A":
            complement_sequence+="T"
        elif symbol == "C":
            complement_sequence+="G"
        elif symbol == "G":
            complement_sequence+="C"
        elif symbol == "T":
            complement_sequence+="A"
        elif symbol == ">":
            complement_sequence+=line
            break
        else:
            complement_sequence+=symbol
    line = in_file.readline()

in_file.close()

if args.log:
	print("The input sequence was successfully complemented")
out_file = open(args.output, "w")
out_file.write(complement_sequence)
out_file.close
if args.log == True:
	print("The complemented sequence was written")